import request from '@/plugins/request';
/**
 * @description 团队等级-列表
 * @param {Object} param data {Object} 传值参数
 */
export function levelListApi(data) {
    return request({
        url: 'user/group_level/vip_list',
        method: 'get',
        params: data
    });
}

/**
 * @description 团队等级-编辑表单
 * @param {Number} param id {Number} 团队等级id
 */
export function levelEditApi(id) {
    return request({
        url: `user/group_level/set_value/${id}`,
        method: 'PUT'
    });
}

/**
 * @description 团队等级-修改显示隐藏
 * @param {Number} param id {Number} 团队等级id
 */
export function setShowApi(data) {
    return request({
        url: `user/group_level/set_show/${data.id}/${data.is_show}`,
        method: 'PUT'
    });
}

/**
 * @description 团队等级-编辑表单
 * @param {Number} param id {Number} 团队等级id
 */
// export function addApi (data) {
//     return request({
//         url: 'user/group_level',
//         method: 'post',
//         data
//     });
// }

/**
 * @description 团队等级任务-列表
 * @param {Object} param data {Object} 传值参数
 */
export function taskListApi(id, data) {
    return request({
        url: `user/group_level/task/${id}`,
        method: 'get',
        params: data
    });
}

/**
 * @description 团队等级任务-修改显示隐藏
 * @param {Number} param data.id {Number} 团队等级任务id
 * @param {Number} param data.is_show {Number} 团队等级任务显示隐藏
 */
export function setTaskShowApi(data) {
    return request({
        url: `user/group_level/set_task_show/${data.id}/${data.is_show}`,
        method: 'PUT'
    });
}

/**
 * @description 团队等级任务-任务是否达成
 * @param {Number} param data.id {Number} 团队等级任务id
 * @param {Number} param data.is_must {Number} 团队等级任务是否务必达成
 */
export function setTaskMustApi(data) {
    return request({
        url: `user/group_level/set_task_must/${data.id}/${data.is_must}`,
        method: 'PUT'
    });
}

/**
 * @description 团队等级任务-新建表单 编辑表单
 * @param {Object} param data {Object} 团队等级任务对象传值
 */
export function createTaskApi(data) {
    return request({
        url: `/user/group_level/create_task`,
        method: 'get',
        params: data
    });
}

/**
 * @description 团队等级-创建表单
 * @param {Object} param data {Object} 团队等级任务对象传值
 */
export function createApi(id) {
    return request({
        url: `user/group_level/create`,
        method: 'get',
        params: id
    });
}

/**
 * @description 团队管理 --- 赠送团队等级
 * @param {Number} param id {Number} 团队id
 */
export function giveLevelApi(id) {
    return request({
        url: `user/give_level/${id}`,
        method: 'get'
    });
}

/**
 * @description 团队等级-删除
 * @param {Number} param id {Number} 团队等级id
 */
export function delLevelApi(id) {
    return request({
        url: `user/group_level/delete/${id}`,
        method: 'PUT'
    });
}
/**
 * @description 奖池类型 --- 获取所有奖池
 */
export function award_lake() {
    return request({
        url: `/user/award_lake`,
        method: 'get'
    });
}
/**
 * @description 奖池记录--- 获取所有奖池
 */
export function award_lake_log(data) {
    return request({
        url: `/user/award_lake/log`,
        method: 'get',
		params: data
    });
}
/**
 * @description 发放奖励
 */
export function award_lake_post(data) {
    return request({
        url: `/user/award_lake/${data.type}`,
        method: 'post',
		data
    });
}

/**
 * @description 发放奖励
 */
export function award_set(data) {
    return request({
        url: `/user/award_set`,
        method: 'get',
		params:data
    });
}
/**
 * @description 佣金记录 -- 个人提现列表
 * @param {Number} param id {Number} 佣金记录 用户ID
 */
export function extractListApi(data) {
        return request({
            url: `finance/finance/extract_list`,
            method: 'get',
            params: data
        });
}